org.jetlang.web

## Class WebServerConfigBuilder<S>

- java.lang.Object
- - org.jetlang.web.WebServerConfigBuilder<S>

    public class WebServerConfigBuilder<S>
    extends Object

### Nested Class Summary

Nested Classes
`static interface` `WebServerConfigBuilder.RequestDecorator<S>`

### Constructor Summary

Constructors
Constructor and Description
`WebServerConfigBuilder(SessionFactory<S> factory)`

### Method Summary

All Methods Instance Methods Concrete Methods
`WebServerConfigBuilder<S>` `add(HandlerLocator<S> locator)`
`WebServerConfigBuilder<S>` `add(PathMatcher<S> path, HttpHandler<S> rs)`
`WebServerConfigBuilder<S>` `add(PathMatcher<S> path, HttpHandler<S> rs, HttpSecurity<S> security)`
`<T> WebServerConfigBuilder<S>` `add(PathMatcher<S> path, WebSocketHandler<S,T> handler)`
`<T> WebServerConfigBuilder<S>` `add(PathMatcher<S> path, WebSocketHandler<S,T> handler, WebSocketSecurity<S> security)`
`WebDispatcher<S>` `create(org.jetlang.fibers.NioFiber readFiber)`
`protected HttpRequestHandler<S>` `createHandler(HandlerLocator.List<S> handlerMap)`
`WebServerConfigBuilder.RequestDecorator<S>` `getDecorator()`
`Handler<S>` `getDefaultHandler()`
`SessionDispatcherFactory<S>` `getDispatcher()`
`int` `getMaxReadLoops()`
`int` `getReadBufferSizeInBytes()`
`Charset` `getWebsocketCharset()`
`void` `setDecorator(WebServerConfigBuilder.RequestDecorator<S> decorator)`
`void` `setDefaultHandler(Handler<S> defaultHandler)`
`void` `setDispatcher(SessionDispatcherFactory<S> dispatcher)`
`void` `setMaxReadLoops(int maxReadLoops)`
`void` `setReadBufferSizeInBytes(int readBufferSizeInBytes)`
`WebServerConfigBuilder` `setWebsocketCharset(Charset websocketCharset)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WebServerConfigBuilder

    public WebServerConfigBuilder(SessionFactory<S> factory)

### Method Detail

#### getDispatcher

    public SessionDispatcherFactory<S> getDispatcher()

#### setDispatcher

    public void setDispatcher(SessionDispatcherFactory<S> dispatcher)

#### getDecorator

    public WebServerConfigBuilder.RequestDecorator<S> getDecorator()

#### setDecorator

    public void setDecorator(WebServerConfigBuilder.RequestDecorator<S> decorator)

#### getDefaultHandler

    public Handler<S> getDefaultHandler()

#### setDefaultHandler

    public void setDefaultHandler(Handler<S> defaultHandler)

#### getMaxReadLoops

    public int getMaxReadLoops()

#### setMaxReadLoops

    public void setMaxReadLoops(int maxReadLoops)

#### getReadBufferSizeInBytes

    public int getReadBufferSizeInBytes()

#### setReadBufferSizeInBytes

    public void setReadBufferSizeInBytes(int readBufferSizeInBytes)

#### getWebsocketCharset

    public Charset getWebsocketCharset()

#### setWebsocketCharset

    public WebServerConfigBuilder setWebsocketCharset(Charset websocketCharset)

#### add

    public <T> WebServerConfigBuilder<S> add(PathMatcher<S> path,
                                             WebSocketHandler<S,T> handler)

#### add

    public <T> WebServerConfigBuilder<S> add(PathMatcher<S> path,
                                             WebSocketHandler<S,T> handler,
                                             WebSocketSecurity<S> security)

#### add

    public WebServerConfigBuilder<S> add(PathMatcher<S> path,
                                         HttpHandler<S> rs)

#### add

    public WebServerConfigBuilder<S> add(HandlerLocator<S> locator)

#### add

    public WebServerConfigBuilder<S> add(PathMatcher<S> path,
                                         HttpHandler<S> rs,
                                         HttpSecurity<S> security)

#### create

    public WebDispatcher<S> create(org.jetlang.fibers.NioFiber readFiber)

#### createHandler

    protected HttpRequestHandler<S> createHandler(HandlerLocator.List<S> handlerMap)